#include <bits/stdc++.h>
using namespace std;
int main()
{
    int N, br = 0;
    cin >> N;
    vector<pair<int,int>> K(N);
    vector<vector<pair<int,int>>> k(N);
    for (int i = 0; i < N; ++i)
    {
        cin >> K[i].first >> K[i].second;
        for (int j = 0; j < i; ++j)
            k[i].emplace_back(make_pair(K[j].first - K[i].first, K[j].second - K[i].second));
    }
    for (int i = 0; i < N; ++i)
    {
        for (int j = 0; j < k[i].size(); ++j)
        {
            for (int i2 = i; i2 < N; ++i2)
                for (int j2 = j; j2 < k[i2].size(); ++j2)
                    if (!(i == i2 && j == j2))
                        if (2 * k[i][j].first * k[i2][j2].second == k[i][j].second * k[i2][j2].first) br++;
        }
    }
    cout << br;
}